Dividend Class Referenceabstract

Predetermined cash flow. More...

`#include <ql/cashflows/dividend.hpp>`

Inheritance diagram for Dividend:
[legend]

## Public Member Functions

| Dividend (const Date &date)
virtual Real | amount (Real underlying) const =0
Event interface
Date | date () const
CashFlow interface
virtual Real | amount () const =0
| returns the amount of the cash flow More...
Visitability
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from CashFlow
bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
virtual Date | exCouponDate () const
| returns the date that the cash flow trades exCoupon
bool | tradingExCoupon (const Date &refDate=Date()) const
| returns true if the cashflow is trading ex-coupon on the refDate
Event interface
Visitability
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Protected Attributes

Date | date_

## Detailed Description

Predetermined cash flow.

This cash flow pays a predetermined amount at a given date.

## Member Function Documentation

## date()

Date date | ( |  | ) | const

virtual

Note
  This is inherited from the event class

Implements CashFlow.

## amount()

virtual Real amount | ( |  | ) | const

pure virtual

returns the amount of the cash flow

Note
  The amount is not discounted, i.e., it is the actual amount paid at the cash flow date.

Implements CashFlow.

Implemented in FractionalDividend, and FixedDividend.